Bug 473775 - Review Request: gpshell - Manage applets on GlobalPlatform and OpenPlatform smart cards
Review Request: gpshell - Manage applets on GlobalPlatform and OpenPlatform s...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: globalplatform
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 09:19 EST by François Kooman
Modified: 2013-01-09 23:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 10:05:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
SUN license for included HelloWorld.cap file (13.65 KB, text/plain)
2008-11-30 09:19 EST, François Kooman
no flags Details
mock build log (40.44 KB, text/plain)
2008-12-01 13:10 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description François Kooman 2008-11-30 09:19:05 EST
Spec URL: http://users.tuxed.net/fkooman/rpmbuild/SPECS/gpshell.spec
SRPM URL: http://users.tuxed.net/fkooman/rpmbuild/SRPMS/gpshell-1.4.2-2.fc10.src.rpm
Description:
GPShell is a script interpreter which talks to a smart card.  It is written on 
top of the GlobalPlatform library, which was developed by Karsten Ohme.  It 
uses smart card communication protocols ISO-7816-4 and OpenPlatform 2.0.1 and 
GlobalPlatform 2.1.1.  It can establish a secure channel with a smart card, 
load, instantiate, delete, list applets on a smart card.
Comment 1 François Kooman 2008-11-30 09:19:59 EST
Created attachment 325126 [details]
SUN license for included HelloWorld.cap file
Comment 2 François Kooman 2008-11-30 09:26:07 EST
There is problem with this package with regard to the included HelloWorld.cap file from Sun's JavaCard SDK. The attachment shows the license text you need to agree to when downloading the SDK (http://java.sun.com/javacard/devkit/). 

I guess this needs to be removed (https://fedoraproject.org/wiki/Packaging/SourceURL#When_Upstream_uses_Prohibited_Code) but I wanted to have some feedback on this before doing this...
Comment 3 Jesse Keating 2008-11-30 12:45:54 EST
Driveby comment, the summary is a bit wrong.  You shouldn't repeat the name of the package in the summary.  "Script interpreter which talks to smart cards" or even "Smart Card script interpreter"
Comment 5 Mamoru TASAKA 2008-12-01 13:10:01 EST
Created attachment 325271 [details]
mock build log

About HelloWorld.cap
- This file seems to be a zip file, containing some binaries (named *.cap),
  not a image file or so and currently I don't know how to create this
  file itself.

  Is this file needed to build gpshell or to use gpshell?
  - If not, please simply remove this files (and so on) and repackage
    tarball:
    https://fedoraproject.org/wiki/Packaging/SourceURL#When_Upstream_uses_Prohibited_Code
    I think this Sun license is non-free.

  - If this file (and so on) is needed, anyway Fedora has a policy that all
    binaries (except for some cases) must be built from sources, so this file
    itself must be built from FOSS sources.

By the way rebuilt itself fails (build log attached)
Comment 6 François Kooman 2008-12-01 16:12:11 EST
Spec URL: http://users.tuxed.net/fkooman/rpmbuild/SPECS/gpshell.spec
SRPM URL:
http://users.tuxed.net/fkooman/rpmbuild/SRPMS/gpshell-1.4.2-4.fc10.src.rpm

- fix mock build by including zlib-devel in BuildReq
- regenerate tarball without Sun sample code and use that

No binaries in the tarball left (except for the windows .ico file).
Comment 7 Mamoru TASAKA 2008-12-02 09:18:59 EST
For -4:

* Timestamp
  - For this package "CPPROG='cp -p'" is not useful (so this
    can simply be removed) because this package does not use 
    install-sh 
      (anyway keeping timestamps is not useful because all files
       to be installed (except for %doc files) are created
       at %build stage)

Other things is okay.

-----------------------------------------------------------
  This package (gpshell) is APPROVED by mtasaka
-----------------------------------------------------------
Comment 8 François Kooman 2008-12-02 09:30:38 EST
Spec URL: http://users.tuxed.net/fkooman/rpmbuild/SPECS/gpshell.spec
SRPM URL:
http://users.tuxed.net/fkooman/rpmbuild/SRPMS/gpshell-1.4.2-5.fc10.src.rpm

- remove keep timestamps on make install as install-sh is not used anyway

Thanks for your time! :)
Comment 9 François Kooman 2008-12-03 14:35:56 EST
New Package CVS Request
=======================
Package Name: gpshell
Short Description: Manage applets on GlobalPlatform and OpenPlatform smart cards
Owners: fkooman
Branches: F-9 F-10
InitialCC:
Comment 10 Kevin Fenzi 2008-12-03 19:53:51 EST
cvs done.
Comment 11 Mamoru TASAKA 2008-12-10 10:05:25 EST
Closing.

Note You need to log in before you can comment on or make changes to this bug.